<form id="mojFormular" onsubmit="return false;">
<div class="mlQuestionText">
  <div>
    U kutiju za unos napišite naredbu kojom ćete u opis sklopa uključiti biblioteku <code>ieee</code>.
  </div>
  <div>Naredba:<br>
       <textarea rows="5" cols="60" id="unos" name="unos"></textarea><br>
       <button onclick="provjeri(document.getElementById('unos').value, true, 'rez'); return false;">Provjeri</button><br>
       <div id="rez"></div>
  </div>
</div>
</form>

<script src="@#file#(vhdlparser.js)" type="text/javascript" charset="utf-8"></script>
<script src="@#file#(vhdlcheckers.js)" type="text/javascript" charset="utf-8"></script>
<script>
  var konfiguracija = @#raw-text#(jsinitdata);
  document.getElementById('unos').value = konfiguracija.enteredText;

  function questionCollectUserData() {
    let v = document.getElementById('unos').value;
    return {
      enteredText: v,
      textOK: provjeri(v, false, null)
    };
  }

  function provjeri(text, verbose, izlaz) {
      try {
        let tools = new VHDLCheckerTools();
        let builder = tools.buildVHDLChecker(text, function(parser) {return parser.parseLibsAndUses()});
        if(!builder.result.hasAnyErrorsOrInfos()) {
          let libNames = builder.node[0];
          let useNames = builder.node[1];
          tools.checkLibUses(builder.result, libNames, useNames, ["ieee"], []);
        }
        if(verbose) {
          tools.generateHTMLResultRepresentation(builder.result, izlaz);
        }

        if(builder.result.hasAnyErrorsOrInfos()) {
          return false;
        }
        return true;
      } catch(errx) {
        if(verbose) document.getElementById(izlaz).innerHTML = "<strong>Napisani kod ne može se parsirati.</strong><br>Prijavljena greška je: "+errx;
        return false;
      }
  }
</script>

